### Function

# AppStreamCompose ImageFormat from_filename

#### Declaration [src]

    AscImageFormat
    asc_image_format_from_filename (
      const gchar* fname
    )

#### Description [src]

Returns the image format type based on the given file’s filename.

#### Parameters

`fname`

  Type: `const gchar*`

  The filename.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AscImageFormat`

A `AscImageFormat` or `ASC_IMAGE_FORMAT_UNKNOWN` for unknown.